Bug 453335 - Review Request: systemc - Design and verification language for Hardware
Summary: Review Request: systemc - Design and verification language for Hardware
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2008-06-29 20:53 UTC by Chitlesh GOORAH
Modified: 2017-03-20 11:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-26 09:00:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chitlesh GOORAH 2008-06-29 20:53:36 UTC
Spec URL: http://chitlesh.fedorapeople.org/systemC/systemc.spec
SRPM URL: http://chitlesh.fedorapeople.org/systemC/systemc-2.2.0-1.fc9.src.rpm
Description:
SystemC™ is a language built in standard C++ by extending the language
with the use of class libraries. SystemC addresses the need for a system
design and verification language that spans hardware and software.

SystemC is listed among Fedora Electronic Lab (FEL) packages.

Comment 1 Jason Tibbitts 2008-06-30 17:54:58 UTC
I noted that you posted to fedora-devel-list regarding the questionable license.
 I'm not quite sure why this was submitted for review when the license was known
to be problematic, but I'll have this ticket block FE-Legal now.

Comment 2 Tom "spot" Callaway 2008-07-10 20:48:01 UTC
For the record, this license (as-is) is non-free. I emailed Chitlesh a list of
proposed changes to take to upstream that would make the license free.

Comment 3 Chitlesh GOORAH 2008-07-26 09:00:53 UTC
thanks tom.

I'll closing this bug as CANTFIX.

Comment 4 Peter Lemenkov 2017-03-20 11:56:40 UTC
Hello All!

Here are some news related to SystemC:

http://www.accellera.org/downloads/standards/systemc

In 2016 Accellera re-licensed all SystemC supplemental material under the Apache 2.0 License. Access to some previous releases of SystemC material may still require acceptance of the terms of the SystemC Open Source License while the process of updating license statements is underway. Please contact the Accellera office if you have any questions.

http://www.accellera.org/news/press-releases/227-accellera-announces-relicensing-of-systemc-reference-implementation-under-the-apache-2-0-license

So if anyone is brave enough, then it's possible to continue, since this package is no longer blocked by legal issues.


Note You need to log in before you can comment on or make changes to this bug.